## marble 16.04.1

=== debian/changelog ===
marble (4:16.04.1-3) unstable; urgency=medium

  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 23:48:43 +0200

marble (4:16.04.1-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:13:35 +0200

marble (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update symbols files with the logs from the buildds
  * Update symbols files

  [ Maximiliano Curia ]
  * Hacky use of xephyr
  * No curly brackets in the trap call
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Follow upstream soversion bump
  * Update symbols files
  * Update lintian override for libmarbledeclarative.so
  * Add missing maps dependency.
    Thanks to Ritesh Raj Sarraf for reporting and suggesting the dependency
    (Closes: #823059)
  * Update install files
  * Add missing Breaks/Replaces
  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 19:30:46 +0200
