## marble 16.04.3

=== debian/changelog ===
marble (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Mark as optional some ABI irrelevant (private) symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 03 Oct 2016 20:57:33 +0200

marble (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove upstream applied isnan patch. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version install file. 
  * New upstream bugfix release
  * Add missing file. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Removing files no longer being built
  * Merged with Debian
  * Refreshing symbols and removing MISSING

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:34 +0200
