=== debian/changelog ===
marble (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 22:04:04 +0100

marble (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files from buildds logs (4:16.04.1-3).
  * Update symbols files
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files
  * Follow upstream libmarblewidget soversion bump

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 10:57:31 +0200
