=== debian/control ===
--- 
+++ 
@@ -5,48 +5,47 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
+               kio-dev (>= 5.7.0~),
                libgps-dev (>= 2.90),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5crash-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5runner-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
+               libkf5config-dev,
+               libkf5coreaddons-dev (>= 5.7.0~),
+               libkf5crash-dev (>= 5.7.0~),
+               libkf5i18n-dev (>= 5.7.0~),
+               libkf5newstuff-dev (>= 5.7.0~),
+               libkf5parts-dev (>= 5.7.0~),
+               libkf5runner-dev (>= 5.7.0~),
+               libkf5service-dev,
+               libkf5wallet-dev (>= 5.7.0~),
                libopencv-core-dev,
                libopencv-highgui-dev,
                libopencv-imgproc-dev,
                libphonon4qt5-dev,
                libprotobuf-dev,
-               libqt5extserialport-dev,
-               libqt5opengl5-dev (>= 5.6.1~),
-               libqt5serialport5-dev (>= 5.6.1~),
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5opengl5-dev,
+               libqt5serialport5-dev,
+               libqt5svg5-dev (>= 5.4),
                libqt5webkit5-dev (>= 5.4),
                libquazip5-dev,
                libshp-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python-dev,
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtlocation5-dev (>= 5.6.1~),
-               qtmultimedia5-dev (>= 5.6.1~),
-               qtpositioning5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
+               qtlocation5-dev (>= 5.3.0~),
+               qtmultimedia5-dev (>= 5.3.0~),
+               qtpositioning5-dev (>= 5.3.0~),
+               qtscript5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
                shared-mime-info,
                sip-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
 
 Package: marble
 Architecture: any
@@ -129,7 +128,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget-qt5-24
+Package: libmarblewidget-qt5-25
 Architecture: any
 Section: libs
 Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -162,11 +161,11 @@
 Architecture: any
 Section: libdevel
 Depends: libastro-dev (= ${binary:Version}),
-         libmarblewidget-qt5-24 (= ${binary:Version}),
+         libmarblewidget-qt5-25 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.4),
          ${misc:Depends},
-         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-24},
+         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-25},
          ${shlibs:Depends}
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
