## marble 16.12.3

=== debian/changelog ===
marble (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:57 +0000

marble (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Temporarily disable acc autopkgtest. Fails only due to bug in gcc-6
    (>= 6.3.0-3).
  * Drop build depend on libqt5extserialport-dev. No longer required,
    and blocks auto-removal of src:qextserialport from ubuntu in line
    with debian.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 31 Jan 2017 17:08:07 +0000

marble (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Adding new build dep
  * Bumping libmarblewidget-qt

  [ Rik Mills ]
  * Update install files
  * Additional libphonon4qt5experimental-dev build dep
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update symbols from build logs
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:35 +0000
