## marble 17.04.3

=== debian/changelog ===
marble (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Sync marble-data dependencies with Neon
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * New upstream release (17.04.0)
  * Increase libmarblewidget-qt version
  * Install new appstream data

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:51 +0100

marble (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Update symbols for GCC7 and Qt 5.9

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 Aug 2017 15:05:10 +0100
