=== debian/control ===
--- 
+++ 
@@ -102,9 +102,13 @@
 Package: marble-data
 Architecture: all
 Section: misc
-Depends: ${misc:Depends}
-Breaks: marble (<= 4:15.08.0+dfsg-1)
-Replaces: marble (<= 4:15.08.0+dfsg-1)
+Depends: plasma-framework,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends}
+Breaks: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
+Replaces: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
 Description: data files for Marble
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -131,7 +135,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget-qt5-26
+Package: libmarblewidget-qt5-27
 Architecture: any
 Section: libs
 Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -164,11 +168,11 @@
 Architecture: any
 Section: libdevel
 Depends: libastro-dev (= ${binary:Version}),
-         libmarblewidget-qt5-26 (= ${binary:Version}),
+         libmarblewidget-qt5-27 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-26},
+         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-27},
          ${shlibs:Depends}
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
